Bug 1447372 - Tag Visibility | Access Controll: All users, groups, and tenants are visible for restricted user
Summary: Tag Visibility | Access Controll: All users, groups, and tenants are visible ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Libor Pichler
QA Contact: Ruslana Babyuk
URL:
Whiteboard: ui:tag
Depends On: 1442972 1460979
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-02 14:20 UTC by Satoe Imaishi
Modified: 2017-06-13 12:32 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1442972
Environment:
Last Closed: 2017-05-31 15:07:35 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-02 14:36:14 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/bb3be292fc0d30afbbfb38cf1e78c8b8e9660a9d

commit bb3be292fc0d30afbbfb38cf1e78c8b8e9660a9d
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue May 2 09:14:56 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 2 10:27:49 2017 -0400

    Merge pull request #14901 from lpichler/join_rbac_for_role_user_and_group_to_one_if_branch
    
    Join RBAC check for MiqUserRole, User and MiqGroup to one if branch
    (cherry picked from commit b8adc2579749cf3ee7ea096f660ae7cc61961e86)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1447372

 lib/rbac/filterer.rb | 23 ++++++++++++++---------
 1 file changed, 14 insertions(+), 9 deletions(-)

Comment 3 CFME Bot 2017-05-02 14:36:20 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/f3e1bf965674f9611a5cd158080e6b07a9b4b5ce

commit f3e1bf965674f9611a5cd158080e6b07a9b4b5ce
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue May 2 09:55:06 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 2 10:29:36 2017 -0400

    Merge pull request #14903 from lpichler/tag_visibility_for_user_and_groups
    
    Tag visibility for User and MiqGroup model
    (cherry picked from commit 8340d21ae22c24bd1f5881e413065136c48a3d69)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1447372

 lib/rbac/filterer.rb           | 18 ++++++++++++------
 spec/lib/rbac/filterer_spec.rb | 38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+), 6 deletions(-)

Comment 5 Ruslana Babyuk 2017-05-03 09:36:33 UTC
Tagging works for groups and users.

Comment 7 errata-xmlrpc 2017-05-31 15:07:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.